## com.baidubce
Enum ErrorCode

    java.lang.Object
      java.lang.Enum<ErrorCode>
          com.baidubce.ErrorCode

All Implemented Interfaces:
  Serializable, Comparable<ErrorCode>

    public enum ErrorCode

extends Enum<ErrorCode>

The BCE error code.

Enum Constant Summary
`ACCESS_DENIED`
`INAPPROPRIATE_JSON`
`INTERNAL_ERROR`
`INVALID_ACCESS_KEY_ID`
`INVALID_HTTP_AUTH_HEADER`
`INVALID_HTTP_REQUEST`
`INVALID_URI`
`INVALID_VERSION`
`MALFORMED_JSON`
`OPT_IN_REQUIRED`
`PRECONDITION_FAILED`
`REQUEST_EXPIRED`
`SIGNATURE_DOES_NOT_MATCH`

Method Summary
`boolean` `equals(String code)`
`String` `toString()`
`static ErrorCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACCESS_DENIED

    public static final ErrorCode ACCESS_DENIED

### INAPPROPRIATE_JSON

    public static final ErrorCode INAPPROPRIATE_JSON

### INTERNAL_ERROR

    public static final ErrorCode INTERNAL_ERROR

### INVALID_ACCESS_KEY_ID

    public static final ErrorCode INVALID_ACCESS_KEY_ID

### INVALID_HTTP_AUTH_HEADER

    public static final ErrorCode INVALID_HTTP_AUTH_HEADER

### INVALID_HTTP_REQUEST

    public static final ErrorCode INVALID_HTTP_REQUEST

### INVALID_URI

    public static final ErrorCode INVALID_URI

### MALFORMED_JSON

    public static final ErrorCode MALFORMED_JSON

### INVALID_VERSION

    public static final ErrorCode INVALID_VERSION

### OPT_IN_REQUIRED

    public static final ErrorCode OPT_IN_REQUIRED

### PRECONDITION_FAILED

    public static final ErrorCode PRECONDITION_FAILED

### REQUEST_EXPIRED

    public static final ErrorCode REQUEST_EXPIRED

### SIGNATURE_DOES_NOT_MATCH

    public static final ErrorCode SIGNATURE_DOES_NOT_MATCH

Method Detail

### values

    public static ErrorCode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ErrorCode c : ErrorCode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ErrorCode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ErrorCode>`

### equals

    public boolean equals(String code)

Copyright © 2016. All rights reserved.